## org.eclipse.datatools.connectivity.sqm.core.connection
Interface ConnectionInfo

public interface ConnectionInfo

Public ConnectionInfo interface - extended internally

Method Summary
`Database` `getCachedDatabase()` Load a database from workspace cache.
`long` `getCachedDatabaseTimestamp()`
`IConnectionProfile` `getConnectionProfile()` return the profile from the connection
`DatabaseDefinition` `getDatabaseDefinition()`
`java.lang.String` `getDatabaseName()`
`java.lang.String` `getDriverClassName()`
`java.util.Iterator` `getFilters()` return all the connection filters
`java.lang.String` `getIdentifierQuoteString()`
`java.lang.String` `getName()` A user friendly name of the connection info.
`java.lang.String` `getPassword()` Helper function for property "password".
`java.util.Properties` `getProperties()`
`java.sql.Connection` `getSharedConnection()` Retrive the shared connection.
`Database` `getSharedDatabase()` retrieve the shared database
`java.lang.String` `getURL()`
`java.lang.String` `getUserName()` Helper function for property "user".

Method Detail

### getName

    public java.lang.String getName()

  A user friendly name of the connection info.

  Returns:
    the connection info name - null means it is not named.

### getDatabaseDefinition

    public DatabaseDefinition getDatabaseDefinition()

  Returns:
    the database definition associated to this connection info

### getDriverClassName

    public java.lang.String getDriverClassName()

  Returns:
    the JDBC driver class full name.

### getURL

    public java.lang.String getURL()

  Returns:
    JDBC connection URL

### getUserName

    public java.lang.String getUserName()

  Helper function for property "user". The value can be accessed directly using Properties

  Returns:
    value of property "user"

### getPassword

    public java.lang.String getPassword()

  Helper function for property "password". The value can be accessed directly using Properties

  Returns:
    value of property "password"

### getDatabaseName

    public java.lang.String getDatabaseName()

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()

### getProperties

    public java.util.Properties getProperties()

  Returns:
    the properties for JDBC connection

### getSharedConnection

    public java.sql.Connection getSharedConnection()

  Retrive the shared connection.

  Returns:
    if no shared connection set, return null.

### getSharedDatabase

    public Database getSharedDatabase()

  retrieve the shared database

  Returns:
    if no shared databsae set, return null

### getCachedDatabase

    public Database getCachedDatabase()

  Load a database from workspace cache.

  Returns:

### getCachedDatabaseTimestamp

    public long getCachedDatabaseTimestamp()

### getFilters

    public java.util.Iterator getFilters()

  return all the connection filters

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

  return the profile from the connection

  Returns:
    IConnectionProfile

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.